Package ru.bitel.bgbilling.apps.inet.accounting.recalculate.event

# Class InetRecalculateBaseEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.apps.inet.accounting.recalculate.event.InetRecalculateBaseEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InetRecalculateCurrentDayEvent`, `InetRecalculateCurrentMonthBeforeDayEvent`, `InetRecalculateDayInCurrentMonthEvent`

public class InetRecalculateBaseEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InetRecalculateBaseEvent()`
  ``
  `InetRecalculateBaseEvent(int moduleId, Date month, Integer day, int applicationId, int idDivisor, int idRemainder, Set<Integer> cids, int requestIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getApplicationId()`
  `Set<Integer>`
  `getCids()`
  `Integer`
  `getDay()`
  `int`
  `getIdDivisor()`
  `int`
  `getIdRemainder()`
  `Date`
  `getMonth()`
  `int`
  `getRequestIndex()`
  `void`
  `prepareMessage(javax.jms.Message message)`
  `void`
  `setDay(Integer day)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetRecalculateBaseEvent

    protected InetRecalculateBaseEvent()

  - ### InetRecalculateBaseEvent

    public InetRecalculateBaseEvent(int moduleId, Date month, Integer day, int applicationId, int idDivisor, int idRemainder, Set<Integer> cids, int requestIndex)

- ## Method Details

  - ### getMonth

    public Date getMonth()

  - ### getIdDivisor

    public int getIdDivisor()

  - ### getIdRemainder

    public int getIdRemainder()

  - ### getApplicationId

    public int getApplicationId()

  - ### getCids

    public Set<Integer> getCids()

  - ### getDay

    public Integer getDay()

  - ### setDay

    public void setDay(Integer day)

  - ### prepareMessage

    public void prepareMessage(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`

  - ### getRequestIndex

    public int getRequestIndex()